### Function Macro

# GLib dataset_set_data

#### Declaration

    #define g_dataset_set_data (
      l,
      k,
      d
    )

#### Description

Sets the data corresponding to the given string identifier.

This function is not directly available to language bindings.

#### Parameters

`l`

  Type: `-`

  The location identifying the dataset.

`k`

  Type: `-`

  The string to identify the data element.

`d`

  Type: `-`

  The data element.